Security Lab

PHP-инклюдинг в Libstats

Дата публикации:22.05.2007
Дата изменения:10.04.2009
Всего просмотров:1170
Опасность:
Высокая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Libstats 1.x
Уязвимые версии: Libstats 1.0.3, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "rInfo[content]" в сценарии template_csv.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/path/template_csv.php?rInfo[content]=[file]

URL производителя: www.wendt.wisc.edu/projects/systems/libstats/index.do

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
10.04.2009
Изменена секция "Решение"